document.addEventListener('DOMContentLoaded', () => {
  // Bubble pop animation
  const bubbles = document.querySelectorAll('.bubble');
  bubbles.forEach(bubble => {
    bubble.addEventListener('click', function() {
      this.style.transform = 'scale(1.2)';
      this.style.opacity = '0';
      
      // Play pop sound
      const popSound = new Audio('data:audio/wav;base64,UklGRnoGAABXQVZFZm10IBAAAAABAAEAQB8AAEAfAAABAAgAAABmYWN0BAAAAAAAAABkYXRhAAAAAA==');
      popSound.play().catch(() => {});
      
      // Reset bubble after animation
      setTimeout(() => {
        this.style.transform = 'scale(1)';
        this.style.opacity = '1';
      }, 1000);
    });
  });

  // Interactive balloon hover effect
  const balloons = document.querySelectorAll('.balloon');
  balloons.forEach(balloon => {
    balloon.addEventListener('mouseover', function() {
      this.style.transform = 'scale(1.1) translateY(-10px)';
    });
    
    balloon.addEventListener('mouseout', function() {
      this.style.transform = 'scale(1) translateY(0)';
    });
  });

  // Activity cards interaction
  const activityCards = document.querySelectorAll('.activity-card');
  activityCards.forEach(card => {
    card.addEventListener('click', function() {
      this.style.transform = 'scale(0.95)';
      setTimeout(() => {
        this.style.transform = 'translateY(-5px)';
      }, 200);
    });
  });
});